Credits & Write Offs
Void a Credit Memo
Scopes: credit_memo:update
POST
/
v0
/
business
/
{business_id}
/
credit-memo
/
{credit_memo_id}
/
void
Void a Credit Memo
curl --request POST \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/credit-memo/{credit_memo_id}/void \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.getasset.com/v0/business/{business_id}/credit-memo/{credit_memo_id}/void"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.getasset.com/v0/business/{business_id}/credit-memo/{credit_memo_id}/void', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"business_id": "<string>",
"customer_id": "<string>",
"number": "<string>",
"amount": 123,
"issued_at": "2023-11-07T05:31:56Z",
"journal_entry_id": "<string>",
"id": "<string>",
"voided": true,
"memo": "<string>",
"void_journal_entry_id": "je_R2fAXCjqJPdpYata112zyW",
"voided_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"tags": {
"Job": [
{
"amount": "60.00",
"value": "Maple Street Remodel"
},
{
"amount": "40.00",
"value": "Downtown Office Rewire"
}
]
}
}
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Optional external entity identifier that performed the action
Response
Successful Response
Show child attributes
Show child attributes
⌘I
Void a Credit Memo
